-- (c) Kydori

Aesa.spells = {
	-- racials and items
	[7744] = {nil, 120, -1}, -- 亡灵意志
	[20549] = {nil, 120, -1}, -- 战争践踏
	[58984] = {nil, 120, -1}, -- 影遁
	[25046] = {nil, 120, -1}, -- 奥数洪流（能量）
	[28730] = {nil, 120, -1}, -- 奥数洪流（法力）
	[50613] = {nil, 120, -1}, -- 奥数洪流（符能）
        [59752] = {nil, 120, -1}, -- 自利
        [42292] = {nil, 120, -1}, -- 徽记
        [20594] = {nil, 120, -1}, -- 石像形态
        [20589] = {nil, 105, -1}, -- 逃命专家    
	-- druid
	[22812] = {"druid", 60, -1}, -- 树皮术
	[5211] = {"druid", 60, -1}, -- 猛击（等级1）
	[6798] = {"druid", 60, -1}, -- 猛击（等级2）
	[8983] = {"druid", 60, -1}, -- 猛击（等级3）
        [50516] = {"druid", 20, -1}, -- 台风（等级1）
        [53223] = {"druid", 20, -1}, -- 台风（等级2）
	[53225] = {"druid", 20, -1}, -- 台风（等级3）
        [53224] = {"druid", 20, -1}, -- 台风（等级4）
	[61384] = {"druid", 20, -1}, -- 台风（等级5）
	[29166] = {"druid", 180, -1}, -- 激活
	[48505] = {"druid", 90, -1}, -- 星辰坠落（等级1）
        [53199] = {"druid", 90, -1}, -- 星辰坠落（等级2）
        [53200] = {"druid", 90, -1}, -- 星辰坠落（等级3）
        [53201] = {"druid", 90, -1}, -- 星辰坠落（等级4）
	[49376] = {"druid", 30, -1}, -- 野性冲锋 - 豹
        [16979] = {"druid", 15, -1}, -- 野性冲锋 - 熊
	[16689] = {"druid", 60, -1}, -- 自然之握（等级1）
	[16810] = {"druid", 60, -1}, -- 自然之握（等级2）
	[16811] = {"druid", 60, -1}, -- 自然之握（等级3）
	[16821] = {"druid", 60, -1}, -- 自然之握（等级4）
	[16813] = {"druid", 60, -1}, -- 自然之握（等级5）
	[17329] = {"druid", 60, -1}, -- 自然之握（等级6）
	[27009] = {"druid", 60, -1}, -- 自然之握（等级7）
	[53312] = {"druid", 60, -1}, -- 自然之握（等级8）
	[17116] = {"druid", 180, -1}, -- 自然迅捷
	[18562] = {"druid", 15, -1}, -- 迅捷治愈
	[33357] = {"druid", 180, -1}, -- 急奔
	[22842] = {"druid", 180, -1}, -- 狂暴回复
	[61336] = {"druid", 180, -1}, -- 生存本能
	[33831] = {"druid", 180, -1}, -- 自然之力
	[50334] = {"druid", 180, -1}, -- 狂暴
	-- hunter
	[23989] = {"hunter", 180, -1, {-1}}, -- 准备就绪
	[5116] = {"hunter", 12, -1}, -- 震荡射击
        [53271] = {"hunter", 60, -1}, -- 主人的召唤
        [1543] = {"hunter", 20, -1}, -- 照明弹
        [3034] = {"hunter", 15, -1}, -- 蝰蛇钉刺
        [781] = {"hunter", 20, -1}, -- 逃脱
	[19263] = {"hunter", 90, -1}, -- 威慑
	[5384] = {"hunter", 25, -1}, -- 假死
	[3045] = {"hunter", 300, -1}, -- 急速射击
	[19503] = {"hunter", 30, -1}, -- 驱散射击
	[34490] = {"hunter", 20, -1}, -- 沉默射击
	[19386] = {"hunter", 60, -1}, -- 翼龙钉刺（等级1）
	[24132] = {"hunter", 60, -1}, -- 翼龙钉刺（等级2）
	[24133] = {"hunter", 60, -1}, -- 翼龙钉刺（等级3）
	[27068] = {"hunter", 60, -1}, -- 翼龙钉刺（等级4）
	[49009] = {"hunter", 60, -1}, -- Wyvern Sting
	[49010] = {"hunter", 60, -1}, -- Wyvern Sting
	[49011] = {"hunter", 60, -1}, -- 翼龙钉刺（等级5）
	[49012] = {"hunter", 60, -1}, -- 翼龙钉刺（等级6）
	[1499] = {"hunter", 30, -1}, -- 冰冻陷阱（等级1）
	[14310] = {"hunter", 30, -1}, -- 冰冻陷阱（等级2）
	[14311] = {"hunter", 30, -1}, -- 冰冻陷阱（等级3）
	[13809] = {"hunter", 30, -1}, -- 冰霜陷阱
	[13795] = {"hunter", 30, -1}, -- 献祭陷阱（等级1）
	[14302] = {"hunter", 30, -1}, -- 献祭陷阱（等级2）
	[14303] = {"hunter", 30, -1}, -- 献祭陷阱（等级3）
	[14304] = {"hunter", 30, -1}, -- 献祭陷阱（等级4）
	[14305] = {"hunter", 30, -1}, -- 献祭陷阱（等级5）
	[27023] = {"hunter", 30, -1}, -- 献祭陷阱（等级6）
	[49055] = {"hunter", 30, -1}, -- 献祭陷阱（等级7）
	[49056] = {"hunter", 30, -1}, -- 献祭陷阱（等级8）
	[34600] = {"hunter", 30, -1}, -- 毒蛇陷阱
	[19577] = {"hunter", 42, -1}, -- 胁迫
	[34600] = {"hunter", 64, -1}, -- 狂野怒火
	-- mage
	[11958] = {"mage", 480, -1, {122,865,6131,10230, 27088,42917, 55342,45438, 12472, 44572, 31687}}, -- 急速冷却
	[12051] = {"mage", 240, -1}, -- 唤醒
	[12042] = {"mage", 84, -1}, -- 奥术强化
	[11113] = {"mage", 30, -1}, -- 冲击波（等级1）
	[13018] = {"mage", 30, -1}, -- 冲击波（等级2）
	[13019] = {"mage", 30, -1}, -- 冲击波（等级3）
	[13020] = {"mage", 30, -1}, -- 冲击波（等级4）
	[13021] = {"mage", 30, -1}, -- 冲击波（等级5）
	[27133] = {"mage", 30, -1}, -- 冲击波（等级6）
	[33933] = {"mage", 30, -1}, -- 冲击波（等级7）
	[42944] = {"mage", 30, -1}, -- 冲击波（等级8）
	[42945] = {"mage", 30, -1}, -- 冲击波（等级9）
	[11129] = {"mage", 180, -1}, -- 燃烧
	[2139] = {"mage", 24, -1}, -- 法术反制
	[122] = {"mage", 20, -1}, -- 冰霜新星（等级1）
	[865] = {"mage", 20, -1}, -- 冰霜新星（等级2）
	[6131] = {"mage", 20, -1}, -- 冰霜新星（等级3）
	[10230] = {"mage", 20, -1}, -- 冰霜新星（等级4）
	[27088] = {"mage", 20, -1}, -- 冰霜新星（等级5）
	[120] = {"mage", 20, -1}, -- 冰霜新星
	[27008] = {"mage", 20, -1}, -- 冰霜新星
	[42917] = {"mage", 20, -1}, -- 冰霜新星（等级6）
	[55342] = {"mage", 180, -1}, -- 镜像
	[66] = {"mage", 180, -1}, -- 隐形术
	[31661] = {"mage", 20, -1}, -- 龙息术（等级1）
	[33041] = {"mage", 20, -1}, -- 龙息术（等级2）
	[33042] = {"mage", 20, -1}, -- 龙息术（等级3）
	[33043] = {"mage", 20, -1}, -- 龙息术（等级4）
	[42949] = {"mage", 20, -1}, -- 龙息术（等级5）
	[42950] = {"mage", 20, -1}, -- 龙息术（等级6）
	[12043] = {"mage", 84, -1}, -- 气定神闲
	[1953] = {"mage", 15, -1}, -- 闪现术
	[2136] = {"mage", 6.5, -1}, -- Fire Blast
	[12472] = {"mage", 180, -1}, -- 冰冷血脉
	[44572] = {"mage", 30, -1}, -- 深度冰结
	[45438] = {"mage", 300, -1}, -- 寒冰屏障
	[31687] = {"mage", 144, -1}, -- 召唤水元素
	[33395] = {"mage", 25, -1}, -- 冰冻术
	-- paladin
	[1044] = {"paladin", 25, -1}, -- 自由之手
	[1038] = {"paladin", 120, -1}, -- 拯救之手
	[6940] = {"paladin", 120, -1}, -- 牺牲之手
        [31884] = {"paladin", 180, -1}, -- 复仇之怒
        [633] = {"paladin", 900, -1}, -- 圣疗术（等级1）
        [2800] = {"paladin", 900, -1}, -- 圣疗术（等级2）
        [10310] = {"paladin", 900, -1}, -- 圣疗术（等级3）
        [27154] = {"paladin", 900, -1}, -- 圣疗术（等级4）
        [48788] = {"paladin", 900, -1}, -- 圣疗术（等级5）
	[10278] = {"paladin", 300, -1}, -- 保护之手
	[642] = {"paladin", 300, -1}, -- 圣盾术
	[1020] = {"paladin", 300, -1}, -- Divine Shield
        [498] = {"paladin", 180, -1}, -- 圣佑术
	[853] = {"paladin", 60, -1}, -- 制裁之锤（等级1）
	[5588] = {"paladin", 60, -1}, -- 制裁之锤（等级2）
	[5589] = {"paladin", 60, -1}, -- 制裁之锤（等级3）
	[10308] = {"paladin", 60, -1}, -- 制裁之锤（等级4）
	[20066] = {"paladin", 60, -1}, -- 忏悔
        [54428] = {"paladin", 60, -1}, -- 神圣恳求
	-- priest
	[33206] = {"priest", 180, -1}, -- 痛苦压制
	[47585] = {"priest", 120, -1}, -- 消散
	[8122] = {"priest", 30, -1}, -- 心灵尖啸（等级1）
	[8124] = {"priest", 30, -1}, -- 心灵尖啸（等级2）
	[10888] = {"priest", 30, -1}, -- 心灵尖啸（等级3）
	[10890] = {"priest", 30, -1}, -- 心灵尖啸（等级4）
	[10060] = {"priest", 120, -1}, -- 能量灌注
	[34433] = {"priest", 300, -1}, -- 暗影魔
	[15487] = {"priest", 45, -1}, -- 沉默
	[47788] = {"priest", 180, -1}, -- 守护之魂
	-- rogue
	[14185] = {"rogue", 600, -1, {14177, 36554, 2983, 8696, 11305, 5277, 26669, 1856, 1857, 26889}}, -- 伺机待发
	[36554] = {"rougue", 30, -1}, -- 暗影步
	[51713] = {"rougue", 60, -1}, -- 暗影之舞
	[51690] = {"rougue", 120, -1}, -- 杀戮盛宴
	[13750] = {"rogue", 180, -1}, -- 冲动
	[13877] = {"rogue", 120, -1}, -- 剑刃乱舞
	[2094] = {"rogue", 120, -1}, -- 致盲
	[14177] = {"rogue", 180, -1}, -- 冷血
	[45180] = {"rogue", 60, -1}, -- Cheating Death
	[45182] = {"rogue", 60, -1}, -- 装死
	[45183] = {"rogue", 60, -1}, -- Cheating Death
	[45184] = {"rogue", 60, -1}, -- Cheating Death
	[31224] = {"rogue", 90, 60}, -- 暗影斗篷
	[5277] = {"rogue", 180, 180}, -- 闪避（等级1）
	[26669] = {"rogue", 180, 180}, -- 闪避（等级2）
	[14278] = {"rogue", 20, -1}, -- Ghostly Strike
	[1776] = {"rogue", 10, -1}, -- 凿击
	[1777] = {"rogue", 10, -1}, -- Gouge
	[8629] = {"rogue", 10, -1}, -- Gouge
	[11285] = {"rogue", 10, -1}, -- Gouge
	[11286] = {"rogue", 10, -1}, -- Gouge
	[38764] = {"rogue", 10, -1}, -- Gouge
	[1766] = {"rogue", 10, -1}, -- 脚踢
	[1767] = {"rogue", 10, -1}, -- 脚踢
	[1768] = {"rogue", 10, -1}, -- 脚踢
	[1769] = {"rogue", 10, -1}, -- 脚踢
	[38768] = {"rogue", 10, -1}, -- 脚踢
	[408] = {"rogue", 20, -1}, -- 肾击（等级1）
	[8643] = {"rogue", 20, -1}, -- 肾击（等级2）
	[14183] = {"rogue", 20, -1}, -- Premeditation
	[14251] = {"rogue", 6, -1}, -- Riposte
        [51722] = {"rogue", 60, -1}, -- 拆卸
	[2983] = {"rogue", 180, 180}, -- 疾跑（等级1）
	[8696] = {"rogue", 180, 180}, -- 疾跑（等级2）
	[11305] = {"rogue", 180, 180}, -- 疾跑（等级3）
	[1856] = {"rogue", 180, 120}, -- 消失（等级1）
	[1857] = {"rogue", 180, 120}, -- 消失（等级2）
	[26889] = {"rogue", 180, 120}, -- 消失（等级3）
	-- shaman
	[16166] = {"shaman", 180, -1}, -- 元素掌握
	[51514] = {"shaman", 45, -1}, -- 妖术
        [51533] = {"shaman", 180, -1}, -- 野性狼魂
	[59490] = {"shaman", 45, -1}, -- 雷霆风暴（等级1）
	[59156] = {"shaman", 45, -1}, -- 雷霆风暴（等级2）
	[59158] = {"shaman", 45, -1}, -- 雷霆风暴（等级3）
	[59159] = {"shaman", 45, -1}, -- 雷霆风暴（等级4）
        [8042] = {"shaman", 6, -1}, -- 大地震击（等级1）
        [8044] = {"shaman", 6, -1}, -- 大地震击（等级2）
        [8045] = {"shaman", 6, -1}, -- 大地震击（等级3）
        [8046] = {"shaman", 6, -1}, -- 大地震击（等级4）
        [10412] = {"shaman", 6, -1}, -- 大地震击（等级5）
        [10413] = {"shaman", 6, -1}, -- 大地震击（等级6）
        [10414] = {"shaman", 6, -1}, -- 大地震击（等级7）
        [25454] = {"shaman", 6, -1}, -- 大地震击（等级8）
        [49230] = {"shaman", 6, -1}, -- 大地震击（等级9）
        [49231] = {"shaman", 6, -1}, -- 大地震击（等级10）
        [57994] = {"shaman", 6, -1}, -- 强风震击
        [8177] = {"shaman", 15, -1}, -- 根基图腾
	[16188] = {"shaman", 180, -1}, -- 自然迅捷
        [30823] = {"shaman", 120, -1}, -- 萨满之怒
        [2825] = {"shaman", 300, -1}, -- 嗜血
        [32182] = {"shaman", 300, -1}, -- 英勇
	-- warlock
	[6789] = {"warlock", 120, -1}, -- 死亡缠绕（等级1）
        [17925] = {"warlock", 120, -1}, -- 死亡缠绕（等级2）
        [17926] = {"warlock", 120, -1}, -- 死亡缠绕（等级3）
	[27223] = {"warlock", 120, -1}, -- 死亡缠绕（等级4）
        [47859] = {"warlock", 120, -1}, -- 死亡缠绕（等级5）
	[47860] = {"warlock", 120, -1}, -- 死亡缠绕（等级6）
	[5484] = {"warlock", 40, -1}, -- 恐惧嚎叫（等级1）
	[17928] = {"warlock", 40, -1}, -- 恐惧吼叫（等级2）
	[54785] = {"warlock", 45, -1}, -- 恶魔冲锋
	[48020] = {"warlock", 30, -1}, -- 恶魔法阵：传送
	[30283] = {"warlock", 20, -1}, -- 暗影之怒（等级1）
	[30413] = {"warlock", 20, -1}, -- 暗影之怒（等级2）
	[30414] = {"warlock", 20, -1}, -- 暗影之怒（等级3）
	[47846] = {"warlock", 20, -1}, -- 暗影之怒（等级4）
	[47847] = {"warlock", 20, -1}, -- 暗影之怒（等级5）
	[5484] = {"warlock", 40, -1}, -- Howl of Terror
	[19244] = {"warlock", 24, -1}, -- 法术封锁（等级1）
	[19647] = {"warlock", 24, -1}, -- 法术封锁（等级2）
        [59672] = {"warlock", 126, -1}, -- 恶魔变形
        [17926] = {"warlock", 126, -1}, -- 恶魔支配
	-- warrior
	[18499] = {"warrior", 30, -1}, -- 狂暴之怒
	[2687] = {"warrior", 30, -1}, -- Bloodrage
	[12292] = {"warrior", 180, -1}, -- 死亡之愿
	[3411] = {"warrior", 30, -1}, -- 援护
        [871] = {"warrior", 300, -1}, -- 盾墙
        [72] = {"warrior", 12, -1}, -- 盾击
        [7384] = {"warrior", 5, -1}, -- 压制
        [12809] = {"warrior", 30, -1}, -- 盾牌猛击
        [46968] = {"warrior", 20, -1}, -- 震荡波
        [46924] = {"warrior", 90, -1}, -- 利刃风暴
        [1719] = {"warrior", 300, -1}, -- 鲁莽
        [30357] = {"warrior", 5, -1}, -- 复仇
        [20230] = {"warrior", 300, -1}, -- 反击风暴
	[20252] = {"warrior", 30, -1}, -- 拦截
	[20616] = {"warrior", 15, -1}, -- Intercept
	[20617] = {"warrior", 15, -1}, -- Intercept
	[30151] = {"warrior", 15, -1}, -- Intercept
	[25272] = {"warrior", 15, -1}, -- Intercept
	[30194] = {"warrior", 15, -1}, -- Intercept
	[25275] = {"warrior", 15, -1}, -- Intercept
	[30198] = {"warrior", 15, -1}, -- Intercept
	[47996] = {"warrior", 15, -1}, -- Intercept
	[55694] = {"warrior", 180, -1}, -- 狂怒回复
	[5246] = {"warrior", 180, -1}, -- 破胆怒吼
	[6552] = {"warrior", 10, -1}, -- 拳击
	[6554] = {"warrior", 10, -1}, -- Pummel
	[11578] = {"warrior", 20, -1}, -- 冲锋
	[72] = {"warrior", 12, -1}, -- 盾击
	[23920] = {"warrior", 10, -1}, -- 法术反射
	[2565] = {"warrior", 60, -1}, -- 盾牌格挡
	[12975] = {"warrior", 180, -1}, -- 破釜沉舟
	[46924] = {"warrior", 90, -1}, -- 利刃风暴
	[46968] = {"warrior", 20, -1}, -- 震荡波
	[1671] = {"warrior", 12, -1}, -- Shield Bash
	[1672] = {"warrior", 12, -1}, -- Shield Bash
	[29704] = {"warrior", 12, -1}, -- Shield Bash
	[23920] = {"warrior", 10, -1}, -- Spell Reflection
        -- death knight
        [48707] = {"deach knight", 45, -1}, -- 反魔法護罩
        [48743] = {"deach knight", 120, -1}, -- 死亡契約
        [47476] = {"deach knight", 120, -1}, -- 絞殺
        [48792] = {"deach knight", 120, -1}, -- 冰固堅韌
        [47528] = {"deach knight", 10, -1}, -- 心智冰封
        [47568] = {"deach knight", 300, -1}, -- 符文武器增效
        [42650] = {"deach knight", 600, -1}, -- 亡者大军
        [49576] = {"deach knight", 35, -1}, -- 死亡之握
        [46584] = {"deach knight", 180, -1}, -- 亡者複生
        [49016] = {"deach knight", 180, -1}, -- 狂血術
        [49028] = {"deach knight", 90, -1}, -- 符文武器幻舞
        [48982] = {"deach knight", 30, -1}, -- 符文轉化
        [55233] = {"deach knight", 60, -1}, -- 血族之裔
        [49039] = {"deach knight", 120, -1}, -- 巫妖之軀
        [49203] = {"deach knight", 60, -1}, -- 噬溫酷寒
        [51271] = {"deach knight", 60, -1}, -- 無毀堅甲
        [51052] = {"deach knight", 45, -1}, -- 反魔法力場
        [49222] = {"deach knight", 60, -1}, -- 骸骨之盾
        [49206] = {"deach knight", 180, -1}, -- 召喚石像鬼
        [49796] = {"deach knight", 120, -1}, -- 死亡之寒
}
